import { Certification } from "@/components/cert";
import { Game } from "@/components/game";
import { Member } from "@/components/member";
import { Rule } from "@/components/rule";
import { Certifications } from "@/config/Certifications";
import { Games } from "@/config/Games";
import { TeamMembers } from "@/config/TeamMembers";
import { Charm } from "next/font/google";

const Team = (): JSX.Element => {
  return (
    <>
      <main className="w-[95%] text-center max-w-4xl m-auto mt-16 mb-16 rounded-lg">
        <h1 className="text-5xl">Our Team</h1>
        <section>
          <p className="mb-2">
            Meet the people behind nhcarrigan&apos;s success!
          </p>
          <Rule />
          <div className="w-full">
            {TeamMembers.map((member) => (
              <Member
                key={member.name}
                name={member.name}
                url={member.url}
                avatar={member.avatar}
                joinDate={member.joinDate}
                role={member.role}
              />
            ))}
          </div>
        </section>
      </main>
    </>
  );
};

export default Team;
